Bullet Collision Detection & Physics Library: btRigidBodyDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btRigidBodyDoubleData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btRigidBody.h>`

Collaboration diagram for btRigidBodyDoubleData:
[legend]

## Public Attributes
btCollisionObjectDoubleData | m_collisionObjectData
btMatrix3x3DoubleData | m_invInertiaTensorWorld
btVector3DoubleData | m_linearVelocity
btVector3DoubleData | m_angularVelocity
btVector3DoubleData | m_angularFactor
btVector3DoubleData | m_linearFactor
btVector3DoubleData | m_gravity
btVector3DoubleData | m_gravity_acceleration
btVector3DoubleData | m_invInertiaLocal
btVector3DoubleData | m_totalForce
btVector3DoubleData | m_totalTorque
double | m_inverseMass
double | m_linearDamping
double | m_angularDamping
double | m_additionalDampingFactor
double | m_additionalLinearDampingThresholdSqr
double | m_additionalAngularDampingThresholdSqr
double | m_additionalAngularDampingFactor
double | m_linearSleepingThreshold
double | m_angularSleepingThreshold
int | m_additionalDamping
char | m_padding [4]

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 661 of file btRigidBody.h.

## Member Data Documentation

## ◆ m_additionalAngularDampingFactor

double btRigidBodyDoubleData::m_additionalAngularDampingFactor

Definition at line 680 of file btRigidBody.h.

## ◆ m_additionalAngularDampingThresholdSqr

double btRigidBodyDoubleData::m_additionalAngularDampingThresholdSqr

Definition at line 679 of file btRigidBody.h.

## ◆ m_additionalDamping

int btRigidBodyDoubleData::m_additionalDamping

Definition at line 683 of file btRigidBody.h.

## ◆ m_additionalDampingFactor

double btRigidBodyDoubleData::m_additionalDampingFactor

Definition at line 677 of file btRigidBody.h.

## ◆ m_additionalLinearDampingThresholdSqr

double btRigidBodyDoubleData::m_additionalLinearDampingThresholdSqr

Definition at line 678 of file btRigidBody.h.

## ◆ m_angularDamping

double btRigidBodyDoubleData::m_angularDamping

Definition at line 676 of file btRigidBody.h.

## ◆ m_angularFactor

btVector3DoubleData btRigidBodyDoubleData::m_angularFactor

Definition at line 667 of file btRigidBody.h.

## ◆ m_angularSleepingThreshold

double btRigidBodyDoubleData::m_angularSleepingThreshold

Definition at line 682 of file btRigidBody.h.

## ◆ m_angularVelocity

btVector3DoubleData btRigidBodyDoubleData::m_angularVelocity

Definition at line 666 of file btRigidBody.h.

## ◆ m_collisionObjectData

btCollisionObjectDoubleData btRigidBodyDoubleData::m_collisionObjectData

Definition at line 663 of file btRigidBody.h.

## ◆ m_gravity

btVector3DoubleData btRigidBodyDoubleData::m_gravity

Definition at line 669 of file btRigidBody.h.

## ◆ m_gravity_acceleration

btVector3DoubleData btRigidBodyDoubleData::m_gravity_acceleration

Definition at line 670 of file btRigidBody.h.

## ◆ m_inverseMass

double btRigidBodyDoubleData::m_inverseMass

Definition at line 674 of file btRigidBody.h.

## ◆ m_invInertiaLocal

btVector3DoubleData btRigidBodyDoubleData::m_invInertiaLocal

Definition at line 671 of file btRigidBody.h.

## ◆ m_invInertiaTensorWorld

btMatrix3x3DoubleData btRigidBodyDoubleData::m_invInertiaTensorWorld

Definition at line 664 of file btRigidBody.h.

## ◆ m_linearDamping

double btRigidBodyDoubleData::m_linearDamping

Definition at line 675 of file btRigidBody.h.

## ◆ m_linearFactor

btVector3DoubleData btRigidBodyDoubleData::m_linearFactor

Definition at line 668 of file btRigidBody.h.

## ◆ m_linearSleepingThreshold

double btRigidBodyDoubleData::m_linearSleepingThreshold

Definition at line 681 of file btRigidBody.h.

## ◆ m_linearVelocity

btVector3DoubleData btRigidBodyDoubleData::m_linearVelocity

Definition at line 665 of file btRigidBody.h.

## ◆ m_padding

char btRigidBodyDoubleData::m_padding[4]

Definition at line 684 of file btRigidBody.h.

## ◆ m_totalForce

btVector3DoubleData btRigidBodyDoubleData::m_totalForce

Definition at line 672 of file btRigidBody.h.

## ◆ m_totalTorque

btVector3DoubleData btRigidBodyDoubleData::m_totalTorque

Definition at line 673 of file btRigidBody.h.

The documentation for this struct was generated from the following file:

- btRigidBody.h